.main-layout
  min-height: 100vh
  display: flex
  flex-direction: column
  justify-content: space-between

header.header
  background: cadetblue

main.main
  flex: 1
  padding-top: 25px
  padding-bottom: 25px

.nav
  a
    font-size: 20px
    color: black
    text-decoration: none
    margin-right: 10px
    padding: 10px 25px
    cursor: pointer
    background: #f0f0f0
    border-top-left-radius: 8px
    border-top-right-radius: 8px
    transition: background 0.15s ease, color 0.15s ease
    &:hover
      background: #e0e0e0
    &.active
      background: #fff
      color: #0066ff
      border-top: 1px solid #a0a0a0
      border-left: 1px solid #a0a0a0
      border-right: 1px solid #a0a0a0
      cursor: default

footer.footer
  height: 40px
  background: indigo
  color: white
